#! /bin/bash

function deregister_from_cluster {
  [[ -n $MASTER_ADDRESS ]] && python3 -u /usr/local/bin/cluster_tools.py --deregister --verbose
  exit 0
}

if [[ -n $MASTER_ADDRESS ]]; then
  python3 -u /usr/local/bin/cluster_tools.py --register --verbose
else
  echo "[>>>] No master was set. Auto-registering disabled, continuing with normal startup"
fi

if [[ $? -ne 0 ]]; then
  echo "[!!!] Failed to register, shutting down container"
  exit 1
fi

trap deregister_from_cluster SIGTERM

if test -f "/usr/bin/supervisord"; then
  /usr/bin/supervisord -c /etc/supervisord.conf
else
  echo "[>>>] Starting Naemon"
  /usr/bin/naemon /opt/monitor/etc/naemon.cfg &
fi

### Keep process alive in order to trap signals
while :; do
    sleep 1s
done
